Index: LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90	(revision 5143)
@@ -500,10 +497,10 @@
     END DO
   END DO
-!                                                     !jyg
+  !                                                     !jyg
   IF (iflag_con == 30 .OR. iflag_ice_thermo ==0) THEN
-! --Separation neige/pluie (pour diagnostics)         !jyg
+    ! --Separation neige/pluie (pour diagnostics)         !jyg
     DO k = 1, klev                                    !jyg
       DO i = 1, klon                                  !jyg
-        IF (t1(i,k)<rtt) THEN                         !jyg
+        IF (t1(i, k)<rtt) THEN                         !jyg
           pmflxs(i, k) = Vprecip(i, k)                !jyg
         ELSE                                          !jyg
@@ -516,23 +513,23 @@
       DO i = 1, klon                                  !jyg
         pmflxs(i, k) = Vprecipi(i, k)                 !jyg
-        pmflxr(i, k) = Vprecip(i, k)-Vprecipi(i, k)   !jyg
+        pmflxr(i, k) = Vprecip(i, k) - Vprecipi(i, k)   !jyg
       END DO                                          !jyg
     END DO                                            !jyg
   ENDIF
 
-! c      IF (if_ebil.ge.2) THEN
-! c        ztit='after convect'
-! c        CALL diagetpq(paire,ztit,ip_ebil,2,2,dtime
-! c     e      , t1,q1,ql,qs,u,v,paprs,pplay
-! c     s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-! c         CALL diagphy(paire,ztit,ip_ebil
-! c     e      , zero_v, zero_v, zero_v, zero_v, zero_v
-! c     e      , zero_v, rain, zero_v, ztsol
-! c     e      , d_h_vcol, d_qt, d_ec
-! c     s      , fs_bound, fq_bound )
-! c      END IF
-
-
-! les traceurs ne sont pas mis dans cette version de convect4:
+  ! c      IF (if_ebil.ge.2) THEN
+  ! c        ztit='after convect'
+  ! c        CALL diagetpq(paire,ztit,ip_ebil,2,2,dtime
+  ! c     e      , t1,q1,ql,qs,u,v,paprs,pplay
+  ! c     s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
+  ! c         CALL diagphy(paire,ztit,ip_ebil
+  ! c     e      , zero_v, zero_v, zero_v, zero_v, zero_v
+  ! c     e      , zero_v, rain, zero_v, ztsol
+  ! c     e      , d_h_vcol, d_qt, d_ec
+  ! c     s      , fs_bound, fq_bound )
+  ! c      END IF
+
+
+  ! les traceurs ne sont pas mis dans cette version de convect4:
   IF (iflag_con==4) THEN
     DO itra = 1, ntra
@@ -544,5 +541,5 @@
     END DO
   END IF
-! PRINT*, 'concvl->: dd_t,dd_q ',dd_t(1,1),dd_q(1,1)
+  ! PRINT*, 'concvl->: dd_t,dd_q ',dd_t(1,1),dd_q(1,1)
 
   DO k = 1, klev
@@ -559,29 +556,28 @@
   IF (prt_level>=20) THEN
     DO k = 1, klev
-! PRINT*,'physiq apres_add_con i k it d_u d_v d_t d_q qdl0',igout, &
-!         k,itap,d_u_con(igout,k) ,d_v_con(igout,k), d_t_con(igout,k), &
-!         d_q_con(igout,k),dql0(igout,k)
-! PRINT*,'phys apres_add_con itap Ma cin ALE ALP wak t q undi t q', &
-!         itap,Ma(igout,k),cin(igout),ALE(igout), ALP(igout), &
-!         t_wake(igout,k),q_wake(igout,k),t_undi(igout,k),q_undi(igout,k)
-! PRINT*,'phy apres_add_con itap CON rain snow EMA wk1 wk2 Vpp mip', &
-!         itap,rain_con(igout),snow_con(igout),ema_work1(igout,k), &
-!         ema_work2(igout,k),Vprecip(igout,k), mip(igout,k)
-! PRINT*,'phy apres_add_con itap upwd dnwd dnwd0 cape tvp Tconv ', &
-!         itap,upwd(igout,k),dnwd(igout,k),dnwd0(igout,k),cape(igout), &
-!         tvp(igout,k),Tconv(igout,k)
-! PRINT*,'phy apres_add_con itap dtvpdt dtvdq dplcl dplcldr qcondc', &
-!         itap,dtvpdt1(igout,k),dtvpdq1(igout,k),dplcldt(igout), &
-!         dplcldr(igout),qcondc(igout,k)
-! PRINT*,'phy apres_add_con itap wd pmflxr Kpmflxr Kp1 Kpmflxs Kp1', &
-!         itap,wd(igout),pmflxr(igout,k),pmflxr(igout,k+1),pmflxs(igout,k), &
-!         pmflxs(igout,k+1)
-! PRINT*,'phy apres_add_con itap da phi mp ftd fqd lalim wgth', &
-!         itap,da(igout,k),phi(igout,k,k),mp(igout,k),ftd(igout,k), &
-!         fqd(igout,k),lalim_conv(igout),wght_th(igout,k)
+      ! PRINT*,'physiq apres_add_con i k it d_u d_v d_t d_q qdl0',igout, &
+      !         k,itap,d_u_con(igout,k) ,d_v_con(igout,k), d_t_con(igout,k), &
+      !         d_q_con(igout,k),dql0(igout,k)
+      ! PRINT*,'phys apres_add_con itap Ma cin ALE ALP wak t q undi t q', &
+      !         itap,Ma(igout,k),cin(igout),ALE(igout), ALP(igout), &
+      !         t_wake(igout,k),q_wake(igout,k),t_undi(igout,k),q_undi(igout,k)
+      ! PRINT*,'phy apres_add_con itap CON rain snow EMA wk1 wk2 Vpp mip', &
+      !         itap,rain_con(igout),snow_con(igout),ema_work1(igout,k), &
+      !         ema_work2(igout,k),Vprecip(igout,k), mip(igout,k)
+      ! PRINT*,'phy apres_add_con itap upwd dnwd dnwd0 cape tvp Tconv ', &
+      !         itap,upwd(igout,k),dnwd(igout,k),dnwd0(igout,k),cape(igout), &
+      !         tvp(igout,k),Tconv(igout,k)
+      ! PRINT*,'phy apres_add_con itap dtvpdt dtvdq dplcl dplcldr qcondc', &
+      !         itap,dtvpdt1(igout,k),dtvpdq1(igout,k),dplcldt(igout), &
+      !         dplcldr(igout),qcondc(igout,k)
+      ! PRINT*,'phy apres_add_con itap wd pmflxr Kpmflxr Kp1 Kpmflxs Kp1', &
+      !         itap,wd(igout),pmflxr(igout,k),pmflxr(igout,k+1),pmflxs(igout,k), &
+      !         pmflxs(igout,k+1)
+      ! PRINT*,'phy apres_add_con itap da phi mp ftd fqd lalim wgth', &
+      !         itap,da(igout,k),phi(igout,k,k),mp(igout,k),ftd(igout,k), &
+      !         fqd(igout,k),lalim_conv(igout),wght_th(igout,k)
     END DO
   END IF !(prt_level.EQ.20) THEN
 
-
 END SUBROUTINE concvl
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90	(revision 5143)
@@ -1,12 +1,13 @@
-
 ! $Header$
 
 SUBROUTINE conemav(dtime, paprs, pplay, t, q, u, v, tra, ntra, work1, work2, &
-    d_t, d_q, d_u, d_v, d_tra, rain, snow, kbas, ktop, upwd, dnwd, dnwdbis, &
-    ma, cape, tvp, iflag, pbase, bbase, dtvpdt1, dtvpdq1, dplcldt, dplcldr)
-
+        d_t, d_q, d_u, d_v, d_tra, rain, snow, kbas, ktop, upwd, dnwd, dnwdbis, &
+        ma, cape, tvp, iflag, pbase, bbase, dtvpdt1, dtvpdq1, dplcldt, dplcldr)
 
   USE dimphy
   USE infotrac_phy, ONLY: nbtr
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ======================================================================
@@ -42,6 +43,5 @@
   ! ======================================================================
 
-
-  REAL dtime, paprs(klon, klev+1), pplay(klon, klev)
+  REAL dtime, paprs(klon, klev + 1), pplay(klon, klev)
   REAL t(klon, klev), q(klon, klev), u(klon, klev), v(klon, klev)
   REAL tra(klon, klev, nbtr)
@@ -54,5 +54,5 @@
 
   INTEGER kbas(klon), ktop(klon)
-  REAL em_ph(klon, klev+1), em_p(klon, klev)
+  REAL em_ph(klon, klev + 1), em_p(klon, klev)
   REAL upwd(klon, klev), dnwd(klon, klev), dnwdbis(klon, klev)
   REAL ma(klon, klev), cape(klon), tvp(klon, klev)
@@ -75,7 +75,4 @@
   !$OMP THREADPRIVATE(ifrst)
   include "YOMCST.h"
-  include "YOETHF.h"
-  include "FCTTRE.h"
-
 
   IF (ifrst==0) THEN
@@ -89,5 +86,5 @@
   DO k = 1, klev + 1
     DO i = 1, klon
-      em_ph(i, k) = paprs(i, k)/100.0
+      em_ph(i, k) = paprs(i, k) / 100.0
     END DO
   END DO
@@ -95,16 +92,15 @@
   DO k = 1, klev
     DO i = 1, klon
-      em_p(i, k) = pplay(i, k)/100.0
+      em_p(i, k) = pplay(i, k) / 100.0
     END DO
   END DO
-
 
   DO k = 1, klev
     DO i = 1, klon
       zx_t = t(i, k)
-      zdelta = max(0., sign(1.,rtt-zx_t))
-      zx_qs = min(0.5, r2es*foeew(zx_t,zdelta)/em_p(i,k)/100.0)
-      zcor = 1./(1.-retv*zx_qs)
-      qs(i, k) = zx_qs*zcor
+      zdelta = max(0., sign(1., rtt - zx_t))
+      zx_qs = min(0.5, r2es * foeew(zx_t, zdelta) / em_p(i, k) / 100.0)
+      zcor = 1. / (1. - retv * zx_qs)
+      qs(i, k) = zx_qs * zcor
     END DO
   END DO
@@ -112,9 +108,9 @@
   noff = 2
   minorig = 2
-  CALL convect1(klon, klev, klev+1, noff, minorig, t, q, qs, u, v, em_p, &
-    em_ph, iflag, d_t, d_q, d_u, d_v, rain, cbmf, dtime, ma)
+  CALL convect1(klon, klev, klev + 1, noff, minorig, t, q, qs, u, v, em_p, &
+          em_ph, iflag, d_t, d_q, d_u, d_v, rain, cbmf, dtime, ma)
 
   DO i = 1, klon
-    rain(i) = rain(i)/86400.
+    rain(i) = rain(i) / 86400.
     rflag(i) = iflag(i)
   END DO
@@ -127,8 +123,8 @@
   DO k = 1, klev
     DO i = 1, klon
-      d_t(i, k) = dtime*d_t(i, k)
-      d_q(i, k) = dtime*d_q(i, k)
-      d_u(i, k) = dtime*d_u(i, k)
-      d_v(i, k) = dtime*d_v(i, k)
+      d_t(i, k) = dtime * d_t(i, k)
+      d_q(i, k) = dtime * d_q(i, k)
+      d_u(i, k) = dtime * d_u(i, k)
+      d_v(i, k) = dtime * d_v(i, k)
     END DO
     DO itra = 1, ntra
@@ -139,8 +135,4 @@
   END DO
 
-
-
-
-
 END SUBROUTINE conemav
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5143)
@@ -43,10 +43,9 @@
     USE lmdz_comsoil, ONLY: inertie_sol, inertie_sno, inertie_sic, inertie_lic, iflag_sic, iflag_inertie
     USE lmdz_conema3
+    USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
 
     INCLUDE "YOMCST.h"
     INCLUDE "YOMCST2.h"
-
-    !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
-    INCLUDE "YOEGWD.h"
 
     ! Configuration de la "physique" de LMDZ a l'aide de la fonction
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conflx.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conflx.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conflx.F90	(revision 5143)
@@ -6,4 +6,7 @@
 
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ======================================================================
@@ -16,5 +19,4 @@
   ! ======================================================================
   include "YOMCST.h"
-  include "YOETHF.h"
   ! Entree:
   REAL dtime ! pas d'integration (s)
@@ -71,6 +73,4 @@
   REAL zdelta, zqsat
 
-  include "FCTTRE.h"
-
   ! initialiser les variables de sortie (pour securite)
   DO i = 1, klon
@@ -204,9 +204,9 @@
   USE dimphy
   USE lmdz_YOECUMF
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
   ! ------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
   ! ----------------------------------------------------------------
   REAL pten(klon, klev), pqen(klon, klev), pqsen(klon, klev)
@@ -477,4 +477,6 @@
         pdmfup, pdpmel, plu, plude, klab, pen_u, pde_u, pen_d, pde_d)
   USE dimphy
+  USE lmdz_YOETHF
+
   IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -484,5 +486,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
 
   REAL pten(klon, klev) ! temperature (environnement)
@@ -598,4 +599,6 @@
         klab)
   USE dimphy
+  USE lmdz_YOETHF
+
   IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -611,5 +614,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
   ! ----------------------------------------------------------------
   REAL ptenh(klon, klev), pqenh(klon, klev)
@@ -680,4 +682,5 @@
   USE dimphy
   USE lmdz_YOECUMF
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
@@ -687,5 +690,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
 
   REAL pdtime
@@ -981,4 +983,6 @@
   USE lmdz_print_control, ONLY: prt_level
   USE lmdz_YOECUMF
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
   IMPLICIT NONE
@@ -988,5 +992,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
 
   REAL cevapcu(klon, klev)
@@ -1021,6 +1024,4 @@
   LOGICAL lddraf(klon)
   INTEGER kdtop(klon)
-
-  include "FCTTRE.h"
 
   DO k = 1, klev
@@ -1224,4 +1225,5 @@
   USE dimphy
   USE lmdz_YOECUMF
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
@@ -1230,5 +1232,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
   ! -----------------------------------------------------------------
   LOGICAL llo1
@@ -1286,4 +1287,5 @@
   USE dimphy
   USE lmdz_YOECUMF
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
@@ -1305,5 +1307,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
 
   REAL ptenh(klon, klev)
@@ -1393,4 +1394,5 @@
   USE dimphy
   USE lmdz_YOECUMF
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
@@ -1412,5 +1414,4 @@
   ! ----------------------------------------------------------------------
   include "YOMCST.h"
-  include "YOETHF.h"
 
   REAL ptenh(klon, klev), pqenh(klon, klev)
@@ -1506,4 +1507,7 @@
 SUBROUTINE flxadjtq(pp, pt, pq, ldflag, kcall)
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ======================================================================
@@ -1525,6 +1529,4 @@
   REAL zdelta, zcvm5, zldcp, zqsat, zcor
   INTEGER is, i
-  include "YOETHF.h"
-  include "FCTTRE.h"
 
   z5alvcp = r5les * rlvtt / rcpd
